remote = require('remote')
app = window.app


app.controller "DropController", ($scope, FileStatusService, Redirector)->
    $scope.needShow = -> Redirector.isCurrentView(Redirector.views.drop)

    $scope.drop = (files) ->
        console.log '[DropController drop] files', files
        for file in files
            FileStatusService.load(file.path)


    console.log '[DropController] init ok'